@right-bar-width: 16rem;
@right-bar-bg: #ddd;

@media @mq_tablet_ {
    .html_right-bar {
        .page {
            transform: translateX(-@right-bar-width);
        }
    }
}

.right-bar {
    position: fixed;
    overflow: hidden;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    display: none;
    @media @mq_tablet_ {
        z-index: 25;
    }
    @media @mq_tablet {
        z-index: 100;
    }
    &_in, &_open, &_out {
        display: block;
    }
    &__overlay {
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        background-color: @c-overlay;
        opacity: 0;
        .right-bar_in & {
            animation: fade-in @duration @easing both;
        }

        .right-bar_open & {
            opacity: 1;
        }

        .right-bar_out & {
            animation: fade-out @duration @easing both;
        }
    }
    &__box {
        width: @right-bar-width;
        background-color: @right-bar-bg;
        height: 100%;
        .ml_auto;
        @media @mq_tablet {
            will-change: transform;
            transform: translateX(-100%);
            .right-bar_in & {
                animation: move-from-right @duration @easing both;
            }

            .right-bar_open & {
                transform: translateX(0);
            }

            .right-bar_out & {
                animation: move-to-right @duration @easing both;
            }
        }
        @media @mq_tablet_ {
            opacity: 0;
            .right-bar_in & {
                animation: fade-in @duration @easing both;
            }

            .right-bar_open & {
                opacity: 1;
            }

            .right-bar_out & {
                animation: fade-out @duration @easing both;
            }
        }

    }
    &__scroll {
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        overflow-x: hidden;
        overflow-y: auto;
        -webkit-overflow-scrolling: touch;
        @media @mq_tablet_ {
            width: @right-bar-width*1.2;
        }
        &:hover {
            @media @mq_tablet_ {
                width: @right-bar-width;
            }
        }
    }
    &__content {

        padding: @top-bar_height 2em;
        min-height: 100%;
        width: @right-bar-width;

        & > * {

        }
    }
    &__header {
        .p_xl;
    }
    &__logo {
        @media @mq_phone_ {
            display: none;
        }
        display: block;
        text-decoration: none;
        .p_m;
        text-transform: uppercase;
        color: @c-title;
        font-size: 200%;
        font-weight: 500;
        letter-spacing: 0.2em;
    }
    &__auth {
        background-color: #000;
    }
}
